Bug 965930 - Review Request: spec-version-maven-plugin - Spec Version Maven Plugin
Review Request: spec-version-maven-plugin - Spec Version Maven Plugin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 947509 947511 961168
  Show dependency treegraph
 
Reported: 2013-05-22 00:49 EDT by gil cattaneo
Modified: 2013-06-05 06:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: spec-version-maven-plugin-1.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-04 17:07:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-05-22 00:49:51 EDT
Spec URL: http://gil.fedorapeople.org/spec-version-maven-plugin.spec
SRPM URL: http://gil.fedorapeople.org/spec-version-maven-plugin-1.2-1.fc18.src.rpm
Description: Maven Plugin to configure APIs version and
specs in a MANIFEST.Mf file.
Fedora Account System Username: gil
Comment 1 gil cattaneo 2013-05-22 00:59:56 EDT
Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=5408154
Comment 2 Tom "spot" Callaway 2013-05-25 22:07:45 EDT
Good:

- rpmlint checks return:

spec-version-maven-plugin.src: W: invalid-url Source0: spec-version-maven-plugin-1.2-src-svn.tar.gz

Safe to ignore (SVN source)

- package meets naming guidelines
- package meets packaging guidelines
- license (CDDL or GPLv2 with exceptions) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (manual diff okay, svn source)
- package compiles on f19 (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- -javadocs okay
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED.
Comment 3 gil cattaneo 2013-05-25 22:45:08 EDT
Really thanks!

New Package SCM Request
=======================
Package Name: spec-version-maven-plugin
Short Description: Spec Version Maven Plugin
Owners: gil
Branches: f18 f19
InitialCC: java-sig
Comment 4 Gwyn Ciesla 2013-05-26 10:20:31 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-05-26 12:43:21 EDT
spec-version-maven-plugin-1.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/spec-version-maven-plugin-1.2-1.fc19
Comment 6 Fedora Update System 2013-05-26 13:04:29 EDT
spec-version-maven-plugin-1.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/spec-version-maven-plugin-1.2-1.fc18
Comment 7 Fedora Update System 2013-05-26 20:28:44 EDT
spec-version-maven-plugin-1.2-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 8 Fedora Update System 2013-06-04 17:07:56 EDT
spec-version-maven-plugin-1.2-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 9 Fedora Update System 2013-06-04 23:18:01 EDT
spec-version-maven-plugin-1.2-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.